    001    /*
    002     * Licensed to the Apache Software Foundation (ASF) under one or more
    003     * contributor license agreements.  See the NOTICE file distributed with
    004     * this work for additional information regarding copyright ownership.
    005     * The ASF licenses this file to You under the Apache License, Version 2.0
    006     * (the "License"); you may not use this file except in compliance with
    007     * the License.  You may obtain a copy of the License at
    008     *
    009     *     http://www.apache.org/licenses/LICENSE-2.0
    010     *
    011     * Unless required by applicable law or agreed to in writing, software
    012     * distributed under the License is distributed on an "AS IS" BASIS,
    013     * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    014     * See the License for the specific language governing permissions and
    015     * limitations under the License.
    016     */
    017
    018    package org.apache.commons.configuration;
    019
    020    /**
    021     * Exception thrown when a property is incompatible with the type requested.
    022     *
    023     * @since 1.0
    024     *
    025     * @author Emmanuel Bourg
    026     * @version $Id: ConversionException.java 1208806 2011-11-30 21:34:11Z oheger $
    027     */
    028    public class ConversionException extends ConfigurationRuntimeException
    029    {
    030        /**
    031         * The serial version UID.
    032         */
    033        private static final long serialVersionUID = -5167943099293540392L;
    034
    035        /**
    036         * Constructs a new {@code ConversionException} without specified
    037         * detail message.
    038         */
    039        public ConversionException()
    040        {
    041            super();
    042        }
    043
    044        /**
    045         * Constructs a new {@code ConversionException} with specified
    046         * detail message.
    047         *
    048         * @param message  the error message
    049         */
    050        public ConversionException(String message)
    051        {
    052            super(message);
    053        }
    054
    055        /**
    056         * Constructs a new {@code ConversionException} with specified
    057         * nested {@code Throwable}.
    058         *
    059         * @param cause  the exception or error that caused this exception to be thrown
    060         */
    061        public ConversionException(Throwable cause)
    062        {
    063            super(cause);
    064        }
    065
    066        /**
    067         * Constructs a new {@code ConversionException} with specified
    068         * detail message and nested {@code Throwable}.
    069         *
    070         * @param message  the error message
    071         * @param cause    the exception or error that caused this exception to be thrown
    072         */
    073        public ConversionException(String message, Throwable cause)
    074        {
    075            super(message, cause);
    076        }
    077    }